<?php
	class DefinicaoController extends DefinicaoModel {
		private $pais;
		private $serie;
		private $moeda;
		private $qtdLinhaPreco;
		private $linhaPrecoPredefinida;
		private $tipoPrograma;
		private $retencaoFonte;
		private $regimeFiscal;
		private $impostoDeductivel;
		private $stockNegativo;

		public function setPais(string $pais){
			$this->pais = $pais;
			$result = $this->insertPais($this->pais);
			return $result;
		}

		public function setSerie(string $serie){
			$this->serie = $serie;
			$result = $this->insertSerie($this->serie);
			return $result;
		}

		public function setMoeda(string $moeda){
			$this->moeda = $moeda;
			$result = $this->insertMoeda($this->moeda);
			return $result;
		}

		public function setQtdLinhaPreco(string $qtdLinhaPreco){
			$this->qtdLinhaPreco = $qtdLinhaPreco;
			$result = $this->insertQtdLinhaPreco($this->qtdLinhaPreco);
			return $result;
		}

		public function setStockNegativo(string $stockNegativo){
			$this->stockNegativo = $stockNegativo;
			$result = $this->insertStockNegativo($this->stockNegativo);
			return $result;
		}

		public function setLinhaPrecoPredefinida(string $linhaPrecoPredefinida){
			$this->linhaPrecoPredefinida = $linhaPrecoPredefinida;
			$result = $this->insertLinhaPrecoPredefinida($this->linhaPrecoPredefinida);
			return $result;
		}

		public function setTipoPrograma(string $tipoPrograma){
			$this->tipoPrograma = $tipoPrograma;
			$result = $this->insertTipoPrograma($this->tipoPrograma);
			return $result;
		}

		public function setRetencaoFonte(string $retencaoFonte){
			$this->retencaoFonte = $retencaoFonte;
			$result = $this->insertRetencaoFonte($this->retencaoFonte);
			return $result;
		}

		public function setRegimeFiscal(string $regimeFiscal){
			$this->regimeFiscal = $regimeFiscal;
			$result = $this->insertRegimeFiscal($this->regimeFiscal);
			return $result;
		}

		public function setImpostoDeductivel(string $impostoDeductivel){
			$this->impostoDeductivel = $impostoDeductivel;
			$result = $this->insertImpostoDeductivel($this->impostoDeductivel);
			return $result;
		}

		public function getQtdLinhaPreco(){
			return $this->qtdLinhaPreco;
		}

		public function getLinhaPrecoPredefinida(){
			return $this->linhaPrecoPredefinida;
		}
	}